# ImportWizardPageColumns.NameEditingSupport (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class ImportWizardPageColumns.NameEditingSupport

- java.lang.Object
- - org.eclipse.jface.viewers.EditingSupport
  - - org.deidentifier.arx.gui.view.impl.wizard.ImportWizardPageColumns.NameEditingSupport

- Enclosing class:
    ImportWizardPageColumns

      public class ImportWizardPageColumns.NameEditingSupport
      extends org.eclipse.jface.viewers.EditingSupport

  Implements the editing support for name column This allows to change the name of columns. The modifications are performed within a simple text field `TextCellEditor`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportWizardPageColumns.NameEditingSupport(org.eclipse.jface.viewers.TableViewer viewer)` Creates a new editor for the given `TableViewer`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canEdit(java.lang.Object column)` Indicates that enabled cells within this column can be edited.
    `protected org.eclipse.jface.viewers.CellEditor` | `getCellEditor(java.lang.Object arg0)`
    `protected java.lang.Object` | `getValue(java.lang.Object arg0)` Retrieves name of column (`ImportColumn.getAliasName()`).
    `protected void` | `setValue(java.lang.Object element, java.lang.Object value)` Sets name for given column (`ImportColumn.setAliasName(String)`).

    - ### Methods inherited from class org.eclipse.jface.viewers.EditingSupport

      `getViewer, initializeCellEditorValue, saveCellEditorValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportWizardPageColumns.NameEditingSupport

          public ImportWizardPageColumns.NameEditingSupport(org.eclipse.jface.viewers.TableViewer viewer)

      Creates a new editor for the given `TableViewer`.
      Parameters:
        `viewer` - The TableViewer this editor is implemented for

  - ### Method Detail

    - #### canEdit

          protected boolean canEdit(java.lang.Object column)

      Indicates that enabled cells within this column can be edited.
      Specified by:
        `canEdit` in class `org.eclipse.jface.viewers.EditingSupport`
      Parameters:
        `column` -
      Returns:

    - #### getCellEditor

          protected org.eclipse.jface.viewers.CellEditor getCellEditor(java.lang.Object arg0)

      Specified by:
        `getCellEditor` in class `org.eclipse.jface.viewers.EditingSupport`

    - #### getValue

          protected java.lang.Object getValue(java.lang.Object arg0)

      Retrieves name of column (`ImportColumn.getAliasName()`).
      Specified by:
        `getValue` in class `org.eclipse.jface.viewers.EditingSupport`
      Parameters:
        `arg0` -
      Returns:

    - #### setValue

          protected void setValue(java.lang.Object element,
                      java.lang.Object value)

      Sets name for given column (`ImportColumn.setAliasName(String)`).
      Specified by:
        `setValue` in class `org.eclipse.jface.viewers.EditingSupport`
      Parameters:
        `element` -
        `value` -